#include<stdio.h>

/*
-------------------------------------------------------------------------------
Equacions de Lotka-Volterra (normalitzades)
-------------------------------------------------------------------------------
Dades: mu (Factor de creixement presa), beta (parametre beta), x (nombre
       inicial de preses), y (nombre inicial de depredadors), max (nombre
       de passos que vols calcular), reg (registrar a partir d'aquest pas)
Resultats: Fitxer "lotka3.dat". Cada fila representa un instant de temps.
           La primer fila es l'ordinal del pas, la segona el nombre de
           preses i la tercera el nombre de depredadors
Dades de prova: mu=2.0 beta=0.1 x=0.1 y=0.1 max=20 reg=18 ==> 
                0.500000, 0.000000;
                0.500000, 0.000000;
                0.500000, 0.000000;
Observacions: -
-------------------------------------------------------------------------------
*/

main()
{
int max,n,reg;
float x,xi,xn,y,yi,yn,mu,beta;
FILE *arxiu;

printf("Valor de Rx: ");
scanf("%f",&mu);
printf("Valor de beta: ");
scanf("%f",&beta);
printf("Valor inicial x: ");
scanf("%f",&xi);
printf("Valor inicial y: ");
scanf("%f",&yi);
printf("numero d'iteracions: ");
scanf("%d",&max);
printf("registrar a partir de: ");
scanf("%d",&reg);
arxiu=fopen("lotka3.dat","w");
x=xi;
y=yi;
for(n=1;n<=max;n++)
	{
	xn=mu*x*(1.0-x-y);
	yn=mu*beta*x*y;
	x=xn;
	y=yn;
	if(n>=reg)fprintf(arxiu,"%f %f\n",x,y);
	}
fclose(arxiu);
}
